com.independentsoft.exchange

## Enum IndexBasePoint

- java.lang.Object
- - java.lang.Enum<IndexBasePoint>
  - - com.independentsoft.exchange.IndexBasePoint

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IndexBasePoint>

      public enum IndexBasePoint
      extends java.lang.Enum<IndexBasePoint>

  Describes whether the page of items will start from the beginning or the end of the set of items that are found by using the search criteria. Seeking from the end always searches backward.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEGINNING` The paged view starts at the beginning of the found item set.
    `END` The paged view starts at the end of the found item set.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexBasePoint` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IndexBasePoint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEGINNING

          public static final IndexBasePoint BEGINNING

      The paged view starts at the beginning of the found item set.

    - #### END

          public static final IndexBasePoint END

      The paged view starts at the end of the found item set.

  - ### Method Detail

    - #### values

          public static IndexBasePoint[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexBasePoint c : IndexBasePoint.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexBasePoint valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null